{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    odmodele_od1: TOpenDialog;
    Label1: TLabel;
    procedure Memo1KeyPress(Sender: TObject; var Key: Char);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.Memo1KeyPress(Sender: TObject; var Key: Char);
begin
case key of
 ^L: begin
      key:=#0;
      if Trim(odmodele_od1.InitialDir)='' then
       odmodele_od1.InitialDir := ExtractFilePath(application.ExeName);
     if odmodele_od1.Execute then begin
      memo1.Lines.LoadFromFile(odmodele_od1.FileName);
      memo1.Tag:= odmodele_od1.FileName;
      end;
    end;
 ^F: begin
      key:=#0;
      if AnsiCompareText(memo1.Font.Name,'courier new')=0 then
       memo1.ParentFont:=true else memo1.Font.Name:='Courier New';
     end;
 ^S: begin
       key:=#0;
       if memo1.Tag<>'' then memo1.Lines.SaveToFile(memo1.Tag);
     end;
 end;
end;

end.
